[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| YPrimeCbCr2RGBPrimeFunctor< T > Class Template Reference Color Space Conversions |

Convert Y'CbCr color difference components into non-linear (gamma corrected) R'G'B'. More...

`#include <vigra/colorconversions.hxx>`

## Public Types

typedef TinyVector< T, 3 > | argument_type
typedef TinyVector< T, 3 > | result_type
typedef TinyVector< T, 3 > | value_type

## Public Member Functions

template<class V >
result_type | operator() (V const &ycbcr) const
| YPrimeCbCr2RGBPrimeFunctor ()
| YPrimeCbCr2RGBPrimeFunctor (component_type max)

## Detailed Description

### template<class T>
class vigra::YPrimeCbCr2RGBPrimeFunctor< T >

Convert Y'CbCr color difference components into non-linear (gamma corrected) R'G'B'.

#include <vigra/colorconversions.hxx>
Namespace: vigra

The functor realizes the inverse of the transformation described in vigra::RGBPrime2YPrimeCbCrFunctor

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)

Examples:
  palette.cxx.

## Member Typedef Documentation

## ◆ argument_type

typedef TinyVector<T, 3> argument_type

the functor's argument type. (Actually, the argument type can be any vector type with the same interface. But this cannot be expressed in a typedef.)

## ◆ result_type

typedef TinyVector<T, 3> result_type

the functor's result type

## ◆ value_type

typedef TinyVector<T, 3> value_type

Deprecated:
  use argument_type and result_type

## Constructor & Destructor Documentation

## ◆ YPrimeCbCr2RGBPrimeFunctor() [1/2]

YPrimeCbCr2RGBPrimeFunctor | ( |  | ) |

default constructor. The maximum value for each RGB component defaults to 255.

## ◆ YPrimeCbCr2RGBPrimeFunctor() [2/2]

YPrimeCbCr2RGBPrimeFunctor | ( | component_type | max | ) |

constructor

- max - the maximum value for each RGB component

## Member Function Documentation

## ◆ operator()()

result_type operator() | ( | V const & | ycbcr | ) | const

apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0